<div class="container-fluid ft-unimed-slab ft-18" [@fadeAnimation]="'in'">
  <div class="row mb-10">
    <div class="col-12">
      <span [innerHTML]="question | safeHtml"></span>
    </div>
  </div>

  <div class="row mb-10">
    <div class="col-md-5 col-12" *ngIf="sideQuestion" [innerHTML]="sideQuestion"></div>

    <div class="{{sideQuestion ? 'col-md-7' : 'col-md-12'}} col-12">
      <ng-container *ngFor="let option of options; let i = index">
        <div class="mb-10 option-container">
          <img class="option-tick" src="./assets/images/shared-icon-correct.png" *ngIf="checked && isCorrect(i)">
  
          <img class="option-tick" src="./assets/images/shared-icon-wrong.png" *ngIf="checked && !isCorrect(i)">
  
          <span>
            (<input class="option-input ft-unimed-slab ft-16" type="text" maxlength="1" [(ngModel)]="selected[i].value"/>)
            <span [innerHTML]="option"></span>
          </span>
        </div>
      </ng-container>
    </div>
    
  </div>
  
  <div class="row" [@fadeAnimation]="'in'" *ngIf="!checked && canCheck">
    <div class="offset-md-4 col-md-4 col-12 mt-10">
      <div class="button-1 check" [class.disabled]="!canCheck" (click)="tryCheckAnswers()">
        Conferir
      </div>
    </div>
  </div>

  <div class="row" [@fadeAnimation]="'in'" *ngIf="feedbackVisible">
    <div class="col-12">
      <div class="feedback" [class.positive]="allCorrect" [class.negative]="!allCorrect"
           [innerHTML]="allCorrect ? feedback : wrongFeedback | safeHtml"></div>
    </div>
  </div>
</div>